class AirQuality:
	def __init__(self, **kwargs):
		# Required pollutants
		self.co = float(kwargs.get('co', 0))
		self.no2 = float(kwargs.get('no2', 0))
		self.o3 = float(kwargs.get('o3', 0))
		self.so2 = float(kwargs.get('so2', 0))
		self.pm2_5 = float(kwargs.get('pm2_5'))
		self.pm10 = float(kwargs.get('pm10', 0))
		# Air quality indices
		self.us_epa_index = int(kwargs.get('us-epa-index', 0))
		self.gb_defra_index = int(kwargs.get('gb-defra-index', 0))

	def __repr__(self):
		return f'AirQuality(CO={self.co}, NO2={self.no2}, O3={self.o3}, PM2.5={self.pm2_5})'
